{%- from "galera/map.jinja" import master,slave with context %}

{%- if master.get('enabled', False) %}
{%- set galera = master %}
{%- else %}
{%- set galera = slave %}
{%- endif %}

galera_render_config:
  test.show_notification:
    - name: "dump_message_render_config_galera"
    - text: "Running galera.upgrade.render_config"

galera_config:
  file.managed:
  - name: {{ galera.config }}
  - source: salt://galera/files/my.cnf
  - template: jinja
  - group: mysql
  - makedirs: True
  - mode: 640
